export type AnyObject = {
  [propName: string]: string | number | boolean | undefined | unknown
}
export interface warehouseSearchForm {
  billStatus?: string
  batchNumber?: string
  createTimeEnd?: string
  createTimeStart?: string
  orderNumber?: string
  sku?: string
  warehouseId?: number | null
  id?: number
}
export interface InterProductList {
  createTime?: string
  id?: number
  inId?: number
  productNo?: string | null //custom的货号
  buyStored?: number | null
  remark?: string | null
  skuImage?: string
  skuName?: string
  costPrice?: number | null
  totalPrice?: number | null
  updateTime?: string
  warehouseSku?: string
  locationId?: number | null
  locationCode?: string | null
  [propName: string]: string | number | boolean | undefined | unknown
}
export interface InterWarehouseBase {
  id?: number
  factoryId?: number
  factoryCode?: string
  warehouseId?: number | null
  warehouseName?: string | null
  inNo?: string
  shipmentNumber?: string
  skuAmount?: number
  total?: number
  totalPrice?: number
  billStatus?: string
  remark?: string | null
  dataVersion?: number
  createTime?: string | null
  updateTime?: string | null
  rejectReason?: string | null
}
// 主表列表ts
export interface InterWarehousePage extends InterWarehouseBase {}
// 子表列表ts
export interface InterWarehouseDetail extends InterWarehouseBase {
  productList: InterProductList[]
}
export interface InterWarehouseTree {
  id?: number
  code?: string | null
  name?: string
  countQuantity?: string | null
  children: InterWarehouseTree[] | null
  leaf?: boolean
}
export interface InterProductList {
  createTime?: string
  id?: number
  inId?: number
  productNo?: string | null //货号
  buyStored?: number | null //入库数量
  // rejectsAmount?: number
  // rejectsReason?: string
  remark?: string | null
  skuImage?: string
  skuName?: string
  costPrice?: number | null
  totalPrice?: number | null
  updateTime?: string
  warehouseSku?: string
  locationId?: number | null
  locationCode?: string | null
}
export interface InterskuList {
  id?: number
  productId?: number
  sku?: string
  skuName?: string
  image?: string
  factoryPrice?: number
  productNo?: string | null //货号
  locationId?: number | null
  locationCode?: string | null
}
export interface InterWarehouseList {
  id: number
  name: string
  code?: string
  sort?: number
  defaulted?: number
  factoryId?: number
  factoryCode?: string
  remarks?: string | null
}
export interface ILocation {
  id?: number
  locationId?: number | null
  locationCode?: string | null
}
