/*
 * @Author: linjinhong linjinhong@jomalls.com
 * @Date: 2025-04-14 15:21:58
 * @LastEditors: linjinhong linjinhong@jomalls.com
 * @LastEditTime: 2025-04-14 16:36:32
 * @FilePath: \factory_front\vite.config.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import { defineConfig } from 'vite'
import AutoImport from 'unplugin-auto-import/vite'
import Components from 'unplugin-vue-components/vite'
import { ElementPlusResolver } from 'unplugin-vue-components/resolvers'
import vue from '@vitejs/plugin-vue'

// https://vitejs.dev/config/
export default defineConfig({
  base: '/',
  server: {
    port: 9803,
    host: true,
    proxy: {
      "/api": {
        target: "http://10.168.31.230:8060"
      }
    }
  },
  plugins: [
    vue(),
    AutoImport({
      resolvers: [ElementPlusResolver()],
    }),
    Components({
      resolvers: [ElementPlusResolver()],
    }),
  ],
  resolve: {
    alias: { '@': '/src' },
  },
})
